Hello Dimitry

is this a good idea? FreeMind can be compiled also without being dynamically linked to the libraries licensed under Apache 2.0. FreeMind max version relies on GPL V2+ containing GPL V3. The source code of FreeMind itself can still be licensed also under GPL V2 apart from being licensed under GPL V3+ without violating any license (GPL V2+ = GPL V2 plus GPL V3+). I am also not clear about whether dynamic linking in Java is permeable to GPL requirements.

Best regards,
Dan


On Sun, Nov 14, 2010 at 3:34 PM, Dimitry Polivaev <dpolivaev@gmx.de> wrote:
Hello,

because Freeplane plug-ins and the distribution depends on some libraries licensed under Apache 2.0
and GPL 3, we are going to change the project license to "GPL version 3 or later". Because the same
basically apply to FreeMind too, I write to the FreeMind list before actual implementing the changes.

Kind regards,
Dimitry